# MSP::CCS::Neys Class Reference

`#include <Neys.h>`

Inheritance diagram for MSP::CCS::Neys:

List of all members.

## Public Member Functions

| Neys (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double standardParallel, double falseEasting, double falseNorthing)
| Neys (const Neys &n)
| ~Neys (void)
Neys & | operator= (const Neys &n)
NeysParameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 104 of file Neys.h.

## Constructor & Destructor Documentation

Neys::Neys | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | standardParallel,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 131 of file Neys.cpp.

Neys::Neys | ( | const Neys & | n | ) |

Definition at line 213 of file Neys.cpp.

Neys::~Neys | ( | void |  | ) |

Definition at line 229 of file Neys.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Neys::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 276 of file Neys.cpp.

MSP::CCS::GeodeticCoordinates * Neys::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 317 of file Neys.cpp.

NeysParameters * Neys::getParameters | ( |  | ) | const

Definition at line 257 of file Neys.cpp.

Neys & Neys::operator= | ( | const Neys & | n | ) |

Definition at line 236 of file Neys.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/neys/Neys.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/neys/Neys.cpp